Get Instagram location

Get an Instagram location's name, coordinates and category by location id or URL.

GET/v2/instagram/locations/{locationId}
1credit
x-api-keystringheader

API key (`sfk_...`)

Parameters
1
locationIdstringrequiredpath

Location id (digits) or its instagram.com location URL.

Response fields
18

Endpoint-specific response payload.

datalookupStatus
string

`found`, or `not_found` when the location id doesn't exist.

one of: found, not_found

The place. Null when not found.

datalocationid
string

Location id.

pattern: ^\d+$

datalocationname
stringnullable

Place name.

datalocationlat
numbernullable

Latitude.

datalocationlng
numbernullable

Longitude.

datalocationcategory
stringnullable

Place category.

datalocationaddress
stringnullable

Street address. Often null.

datalocationcity
stringnullable

City. Often null.

datalocationdescription
stringnullable

Short description of the place. Null when none is shown.

datalocationimageUrl
stringnullable

Picture of the place. Null when none is shown. Instagram CDN URL; it expires after a while.

datalocationfacebookPlacesId
stringnullable

Facebook Places id of the same place. Null when none is linked.

pattern: ^\d+$

datalocationurl
string

Public location page URL.

Metadata about the API response.

metarequestId
string

Unique request identifier for tracing this API call.

min 1 chars

metacreditsCharged
integer

Credits charged for this request.

≥ 0

metaversion
string

Public API version that served the response.

one of: v2

Code example

curl "https://api.socialfetch.dev/v2/instagram/locations/3001476" \
  -H "x-api-key: YOUR_API_KEY"

Responses

Instagram location.